local CC_UTILS_DIR = "/cc-utilities"

local function onResume(scriptArgs)
  if #scriptArgs > 0 then
    scriptArgs[1] = CC_UTILS_DIR .. "/" .. scriptArgs[1]
    shell.run(table.unpack(scriptArgs))
  end
end

if pcall(debug.getlocal, 4, 1) then
  return { onResume = onResume }
end

local result, retval = pcall(fs.delete, CC_UTILS_DIR)
if fs.exists(CC_UTILS_DIR) then
  if result then
    print("Wat? Delete succeeded but dir persists???")
  else
    print(retval)
  end
  return
end

shell.run("clone https://gitea.tofvesson.se/GabrielTofvesson/cc-utilities.git")

local nextVersion = require(CC_UTILS_DIR .. "/reload")
local _ = ((type(nextVersion) == "table" and type(nextVersion.onResume) == "function") and nextVersion.onResume or onResume)({...})